# Mod.Io Plugin

This unofficial TaleSpire plugin finds ZIP files in the Download folder, extracts any tsMod files to the LocalContentPacks folder. 
This allows mods to be downloaded from the Mod.Io page or the Mod.Io View page directly and still be used in Talespire.

To learn more about ``Mod.Io View`` follow this link: https://discord.com/channels/841641821779656726/1218276899286159380

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log

```
1.1.0: Remove mod if already present before extracting from downloads (ensures updates replace older versions)
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

Default: ``END`` = Reload Talespire with downloaded mods

## Configuration

``Maximum Archive Size In MB`` = Skips checking ZIP archive larger than specified size. Prevents long loads if there are huge ZIP files in downloads.
``Reload Taleweaver Mods`` = Key trigger for reloading downloaded mods during session.
``Source Folder (Downloads)`` = Downloads folder (where Mod.Io files are downloaded to).
``Destionation Folder (LocalContentPacks)`` = LocalContentPacks folder (where Talespire expects tsMod files).

## Mod.Io Plugin With Thunderstore-Taleweaver Plugin

The Thunderstore-Taleweaver Plugin deletes mods in the LocalContentPacks folder and then re-copies assets from installed packs. This means that if
it runs after the Mod.Io plugin has copied over downloaded mods, those mods will be erased.

However, there is a work-around configruation which allows the two plugins to work together. Follow these steps.

1. In your plugins install folder, create a folder such as ``[Mod.Io]`` similar to how you create ``[LocalContent]`` for other local mods.
2. Make a ``CustomData`` sub-folder inside the ``[Mod.Io]`` folder (e.g. ``[Mod.Io]/CustomData``).
3. Configure the ``Destination Folder`` of the Mod.Io Plugin to point to the ``[Mod.Io]/CustomData`` folder (provide the full path).

This will cause the Mod.Io Plugin to place the downloaded mods into a folder that the Thunderstore-Taleweaver Plugin thinks was a pack downloaded
from Thunderstore and thus it will deploy the assets there, along with any other downloaded packs, to the LocalContentPacks folder.